package com.realnet.basic.Services;
import com.realnet.basic.Repository.ClientsRepository;
import com.realnet.basic.Entity.Clients
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class ClientsService {
@Autowired
private ClientsRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Clients Savedata(Clients data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Clients save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Clients> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Clients> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Clients> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Clients getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Clients update(Clients data,Integer id) {
	Clients old = Repository.findById(id).get();
old.setClient_name(data.getClient_name());

old.setClient_email(data.getClient_email());

final Clients test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
